ConlluStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats.conllu

## Class ConlluStream

- java.lang.Object
- - opennlp.tools.formats.conllu.ConlluStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<ConlluSentence>

      public class ConlluStream
      extends Object
      implements ObjectStream<ConlluSentence>

  The CoNNL-U Format is specified here: http://universaldependencies.org/format.html

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConlluStream(InputStreamFactory in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the `ObjectStream` and releases all allocated resources.
    `ConlluSentence` | `read()` Returns the next object.
    `void` | `reset()` Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConlluStream

          public ConlluStream(InputStreamFactory in)
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### read

          public ConlluSentence read()
                              throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<ConlluSentence>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Closes the `ObjectStream` and releases all allocated resources. After close was called its not allowed to call read or reset.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ObjectStream<ConlluSentence>`
      Throws:
        `IOException` - if there is an error during closing the stream

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<ConlluSentence>`
      Throws:
        `IOException` - if there is an error during reseting the stream
        `UnsupportedOperationException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.